Skip to content

Complete staged TLS certificate order

POST /tls/certificate/{certificate_id}/complete

Operation ID: CompleteCertificate

Complete an action-required TLS certificate order by binding it to an existing usable DigiCert organization and submitting the provider order.

Name Type Required Description
certificate_id tlsCertificateId yes

tlsCertificateCompleteRequest

Field Type Required Description
org_id tlsOrganizationId yes Public TLS organization ID
Status Type Description
200 tlsCertificateResponse TLS certificate order completed
400 Error Invalid request payload or stored CSR
401 Error Unauthorized
404 Error TLS certificate or referenced renewal source not found
409 Error The TLS certificate order cannot be completed in its current state
500 Error Unexpected error
502 Error Upstream TLS provider error
Field Type Required Description
success boolean yes Success indicator
code integer no Response/Error Code
response tlsCertificateResponse no
Terminal-Fenster
curl -X POST "https://api.regfish.com/tls/certificate/<certificate_id>/complete" \
-H "x-api-key: $REGFISH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"org_id": "hdl_7K9QW3M2ZT8HJ"
}'

Fill in values — the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.